1

Topic: Installation de la version 9.1 RC2

Bonjour

J'ai tenté de faire l'installation de la version 9.1 RC2 en tant qu'installation vierge = KO
Même chose en essayant de faire un update depuis une installation en 0.90.5 (vide sans plugin)
Idem depuis une version 0.90.1 --> en utilisant l'update vers 0.90.5 d'abord.

Quand je suis à la racine du site j'ai le message : Run "composer install --no-dev" in the glpi tree

Je vais donc dans le dossier "install" et je tape update_0905_91.php

Je pense que j'ai loupé une étape mais je n'arrive pas a trouvé d'aide sur le sujet ni sur le forum, ni sur le wiki...

Si quelqu'un veut bien m'expliquer ce que je fais mal smile

Plateforme : Debian 8.5
Version GLPI  : 9.1
Plugins activés : Dashboard, Escalades, More ticket, Plus de rapports, Tableau de bord

2 (edited by remi 2016-08-02 06:52:58)

Re: Installation de la version 9.1 RC2

Ce message concerne "uniquement" la version git, donc l'archive n'est pas correcte, cf https://github.com/glpi-project/glpi/issues/848

> Quand je suis à la racine du site j'ai le message : Run "composer install --no-dev" in the glpi tree

Ben, il suffit de lire...

Dév. Fedora 25 - PHP 5.4/5.5/5.6/7.0/7.1 - MariaDB 10.1 - GLPI master
Certifié ITILv3 - RPM pour Fedora, RHEL et CentOS sur https://blog.remirepo.net/

3

Re: Installation de la version 9.1 RC2

Bonjour Rémi

Déjà merci de m'avoir répondu.

J'ai retéléchargé la RC2, mais honnêtement je pense que c'est la même archive que la première fois.

Ensuite, l'installation est sur un Windows avec un WAMP.

Je t'avoue que je ne vois pas trop ce que je dois faire dans le cas présent... Même si visiblement ça parait évident !

Plateforme : Debian 8.5
Version GLPI  : 9.1
Plugins activés : Dashboard, Escalades, More ticket, Plus de rapports, Tableau de bord

4

Re: Installation de la version 9.1 RC2

Quelqu'un a t'il installé la RC2 sur une plateforme Windows et pourrait m'aider (sur le forum ou en MP).

Merci d'avance aux bonnes ames

Plateforme : Debian 8.5
Version GLPI  : 9.1
Plugins activés : Dashboard, Escalades, More ticket, Plus de rapports, Tableau de bord

5

Re: Installation de la version 9.1 RC2

Bonjour,

Je suis d'accord avec Jérôme, je trouve pas ça évident non plus...

Mathias

Glpi 9.1.2 Debian / SSO / OCSNG 1.3.1

6

Re: Installation de la version 9.1 RC2

1/ comme indiqué, c'est un bug, l'archive est pourrie et devrait contenir l'intégralité des dépendances.

composer, c'est uniquement (normalement) pour les dévelopeurs (ou les utilisateurs de git)

2/ https://getcomposer.org/

Dév. Fedora 25 - PHP 5.4/5.5/5.6/7.0/7.1 - MariaDB 10.1 - GLPI master
Certifié ITILv3 - RPM pour Fedora, RHEL et CentOS sur https://blog.remirepo.net/

7

Re: Installation de la version 9.1 RC2

Effectivement, maintenant je comprends mieux smile

Merci Remi

Plateforme : Debian 8.5
Version GLPI  : 9.1
Plugins activés : Dashboard, Escalades, More ticket, Plus de rapports, Tableau de bord

8

Re: Installation de la version 9.1 RC2

Pour ceux à qui ça arriverait sous Unix, voici comment j'ai pallié au problème :
1. Téléchargez et installez composer : curl -sS https://getcomposer.org/installer | sudo php -- --install-dir=/usr/local/bin --filename=composer
2. Installation des modules manquants de php
3. Relancer la commande "composer install --no-dev" dans l'arborescence glpi.

Ubuntu 14.04 et GLPI 9.1RC2

9 (edited by durand.jm 2016-08-24 11:15:29)

Re: Installation de la version 9.1 RC2

j'ai installer la RC2 avec ce fameux composer sur une version de Windows

je peux peut tre vous aider

je suis passer par l'executable composer

comment procéder vous

GLPI 9.1 RC2
sur Windows 2008 r2
avec
apache httpd-2.4.12-win32-VC11
MySQL mysql-installer-community-5.6.24.0
php-5.6.7-Win32-VC11-x86